# Update a reversal Updates the specified reversal by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request only accepts metadata and description as arguments. ## Returns Returns the reversal object if the update succeeded. This call will raise [an error](https://docs.stripe.com/api/transfer_reversals/update.md#errors) if update parameters are invalid. ## Parameters - `metadata` (object, optional) Set of [key-value pairs](https://docs.stripe.com/docs/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`. ```curl curl https://api.stripe.com/v1/transfers/tr_1Mio2dLkdIwHu7ixsUuCxJpu/reversals/trr_1Mio2eLkdIwHu7ixN5LPJS4a \ -u "<>" \ -H "Stripe-Version: 2026-01-28.preview" \ -d "metadata[order_id]"=6735 ``` ### Response ```json { "id": "trr_1Mio2eLkdIwHu7ixN5LPJS4a", "object": "transfer_reversal", "amount": 400, "balance_transaction": "txn_1Mio2eLkdIwHu7ixosfrbjhW", "created": 1678147568, "currency": "usd", "destination_payment_refund": "pyr_1Mio2eQ9PRzxEwkZYewpaIFB", "metadata": { "order_id": "6735" }, "source_refund": null, "transfer": "tr_1Mio2dLkdIwHu7ixsUuCxJpu" } ```